org.apache.tiles.request.portlet.extractor

## Class SessionScopeExtractor

- java.lang.Object
- - org.apache.tiles.request.portlet.extractor.SessionScopeExtractor

- All Implemented Interfaces:
    Addable<Object>, AttributeExtractor, HasAddableKeys<Object>, HasKeys<Object>, HasRemovableKeys<Object>

      public class SessionScopeExtractor
      extends Object
      implements AttributeExtractor

  Extracts attributes from the session scope of a portlet request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionScopeExtractor(javax.portlet.PortletRequest request, int scope)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Enumeration<String>` | `getKeys()`
    `Object` | `getValue(String key)`
    `void` | `removeValue(String name)`
    `void` | `setValue(String name, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionScopeExtractor

          public SessionScopeExtractor(javax.portlet.PortletRequest request,
                                       int scope)

      Constructor.
      Parameters:
        `request` - The request.
        `scope` - The subscope (application or portlet).

  - ### Method Detail

    - #### setValue

          public void setValue(String name,
                               Object value)

      Specified by:
        `setValue` in interface `Addable<Object>`

    - #### removeValue

          public void removeValue(String name)

      Specified by:
        `removeValue` in interface `HasRemovableKeys<Object>`

    - #### getKeys

          public Enumeration<String> getKeys()

      Specified by:
        `getKeys` in interface `HasKeys<Object>`

    - #### getValue

          public Object getValue(String key)

      Specified by:
        `getValue` in interface `HasKeys<Object>`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.